Mailinglist Archive: yast-commit (723 mails)

< Previous Next >
[yast-commit] r47418 - /trunk/network/src/modules/Remote.ycp
  • From: kmachalkova@xxxxxxxxxxxxxxxx
  • Date: Fri, 09 May 2008 14:49:54 -0000
  • Message-id: <20080509144955.2080A2DE9B@xxxxxxxxxxxxxxxx>
Author: kmachalkova
Date: Fri May 9 16:49:54 2008
New Revision: 47418

URL: http://svn.opensuse.org/viewcvs/yast?rev=47418&view=rev
Log:
Make this KDE4-aware: consider also kdebase4
when finding out whether any WM is installed

Modified:
trunk/network/src/modules/Remote.ycp

Modified: trunk/network/src/modules/Remote.ycp
URL:
http://svn.opensuse.org/viewcvs/yast/trunk/network/src/modules/Remote.ycp?rev=47418&r1=47417&r2=47418&view=diff
==============================================================================
--- trunk/network/src/modules/Remote.ycp (original)
+++ trunk/network/src/modules/Remote.ycp Fri May 9 16:49:54 2008
@@ -142,9 +142,11 @@
list<string> packages = ["xinetd", "tightvnc", "xorg-x11",
"xorg-x11-Xvnc", ];
// #40155: have to specify a concrete window manager,
// "windowmanager" only works for yast2 -i
- if (!Package::Installed ("kdebase3"))
+ // #381708: take KDE4 into consideration, too
+ // ( but what about GNOME? )
+ if (!Package::Installed ("kdebase3") && !Package::Installed("kdebase4"))
{
- packages = add (packages, "fvwm2");
+ packages = add (packages, "fvwm2" );
}
if(!Package::InstallAll(packages)) {
y2error("Installing of required packages failed");

--
To unsubscribe, e-mail: yast-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages